import { InjectionToken } from '@angular/core';
export interface AuthConfig {
    aapURL: string;
    tokenGetter: () => string;
    tokenRemover?: () => void;
    tokenUpdater: (newToken: any) => void;
}
export declare const AAP_CONFIG: InjectionToken<AuthConfig>;
export declare function getToken(): string;
export declare function removeToken(): void;
export declare function updateToken(newToken: string): void;
export declare const DEFAULT_CONF: AuthConfig;
